summaryrefslogtreecommitdiffstats
path: root/trinity-apps/amarok
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2022-04-30 20:47:27 +0300
committerSlávek Banko <slavek.banko@axis.cz>2022-05-01 16:23:29 +0200
commit336d8ce82c00a00153a823a187dbc8e0bcf2c7a1 (patch)
tree920bb9b62e96c92b2a5a7e99352e68afb2783ce8 /trinity-apps/amarok
parent1c8d53512742aab368c0f7e9973604eaa54b43ba (diff)
downloadtde-packaging-gentoo-336d8ce82c00a00153a823a187dbc8e0bcf2c7a1.tar.gz
tde-packaging-gentoo-336d8ce82c00a00153a823a187dbc8e0bcf2c7a1.zip
Added version 14.0.12
Signed-off-by: ormorph <roma251078@mail.ru>
Diffstat (limited to 'trinity-apps/amarok')
-rw-r--r--trinity-apps/amarok/Manifest1
-rw-r--r--trinity-apps/amarok/amarok-14.0.12.ebuild106
2 files changed, 107 insertions, 0 deletions
diff --git a/trinity-apps/amarok/Manifest b/trinity-apps/amarok/Manifest
index 07211fb0..a81f45ad 100644
--- a/trinity-apps/amarok/Manifest
+++ b/trinity-apps/amarok/Manifest
@@ -1 +1,2 @@
DIST amarok-trinity-14.0.11.tar.xz 10017772 BLAKE2B ac0d23d976d99f9951e280f40d7bc8f8ef38d5c100f6d07c7d1cb86cab791f5ac6774fbc0a0e4bab701df2ba65002070663f45828d24fa14e3e69ffb09053470 SHA512 c47c563750a36cde3ac57479441a13c2d33d783a0eb5e45877b27edbb1e8a94e65b62eaa8d37b1e909d3a02565470466fdd4cbea5c95aa85d8834669e70e1dc8
+DIST amarok-trinity-14.0.12.tar.xz 10019720 BLAKE2B 95e4b3178a09bf89a1aa393ab4b824f28091eef72ff94a11d09497bc9c801bef22fc291fe5bc202fc2f8a22c46ef6b22ef1b7160ee8b78bd912efa093f61165f SHA512 f78752c9a2a9e7c4f9c655ed89e0eb19a41f305725c893e77c527db575556e20cae1b0b375edd2f7a13d11e8267c7353d0ac66164e0162d2e8a5097a050f181c
diff --git a/trinity-apps/amarok/amarok-14.0.12.ebuild b/trinity-apps/amarok/amarok-14.0.12.ebuild
new file mode 100644
index 00000000..46840a40
--- /dev/null
+++ b/trinity-apps/amarok/amarok-14.0.12.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2022 Gentoo Authors
+# Copyright 2022 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_NO_TRANSLATIONS="no"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="af ar az be bg bn br ca cs cy da de el en_GB eo es
+ et eu fa fi fr ga gl he hi hu id is it ja ka km ko ku lo lt mk
+ ms nb nds ne nl nn pa pl pt pt_BR ro ru rw se sk sl sq sr sr@Latn
+ ss sv ta tg th tr uk uz uz@cyrillic zh_CN zh_TW"
+
+TRINITY_DOC_LANGS="da de es et fr it nl pl pt pt_BR ru sv"
+TRINITY_MODULE_TYPE="applications/multimedia"
+inherit trinity-base-2
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+DESCRIPTION="Advanced music player for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+# Notes about the ebuild:
+#
+# - This version supports three engines: Xine, Yauap, and Akode.
+# The only ones supported at the moment are Xine and Akode.
+# Yauap isn't in Portage tree, but could be added later.
+#
+# - Rio Karma support needs nonexistent media-libs/libkarma
+#
+# - No Support for DAAP because it's not tested if that works with Mongrel2.
+#
+# - Otherwise the ebuild should offer all what can be done with CMake at the moment.
+
+IUSE="akode amazon ifp inotify ipod konqsidebar mariadb mp4 mtp mysql njb
+opengl postgres visualization +xine"
+
+REQUIRED_USE="|| ( xine akode ) mysql? ( !mariadb )"
+
+DEPEND="
+ dev-db/sqlite
+ dev-lang/ruby:*
+ media-libs/taglib
+ akode? ( ~media-libs/akode-${PV} )
+ ifp? ( media-libs/libifp )
+ ipod? ( media-libs/libgpod )
+ mp4? ( media-libs/libmp4v2 )
+ mtp? ( media-libs/libmtp )
+ mysql? ( dev-db/mysql-connector-c )
+ mariadb? ( dev-db/mariadb-connector-c )
+ njb? ( media-libs/libnjb )
+ opengl? ( virtual/opengl )
+ postgres? ( dev-db/postgresql:= )
+ visualization? (
+ media-libs/libsdl
+ media-plugins/libvisual-plugins
+ )
+ xine? ( media-libs/xine-lib )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if use mysql ; then
+ sed -i 's/mariadb_config mysql_config/mysql_config/' "${S}/ConfigureChecks.cmake"
+ elif use mariadb ; then
+ sed -i 's/mariadb_config mysql_config/mariadb_config/' "${S}/ConfigureChecks.cmake"
+ fi
+ trinity-base-2_src_prepare
+}
+
+src_configure() {
+ TRINITY_EXTRAGEAR_PACKAGING="yes"
+ local mycmakeargs=(
+ -DWITH_SYSTEM_SQLITE=ON
+ -DWITH_DAAP=OFF
+ -DWITH_RIOKARMA=OFF
+ -DWITH_YAUAP=OFF
+ -DWITH_AKODE="$(usex akode)"
+ -DWITH_AMAZON="$(usex amazon)"
+ -DWITH_IFP="$(usex ifp)"
+ -DWITH_INOTIFY="$(usex inotify)"
+ -DWITH_IPOD="$(usex ipod)"
+ -DWITH_KONQSIDEBAR="$(usex konqsidebar)"
+ -DWITH_MP4V2="$(usex mp4)"
+ -DWITH_MTP="$(usex mtp)"
+ -DWITH_NJB="$(usex njb)"
+ -DWITH_OPENGL="$(usex opengl)"
+ -DWITH_POSTGRESQL="$(usex postgres)"
+ -DWITH_LIBVISUAL="$(usex visualization)"
+ -DWITH_XINE="$(usex xine)"
+ )
+ if use mysql ; then
+ mycmakeargs+=( -DWITH_MYSQL=ON )
+ elif use mariadb ; then
+ mycmakeargs+=( -DWITH_MYSQL=ON )
+ fi
+
+ trinity-base-2_src_configure
+}